asn1_delete_structure(3)

NAME
asn1_delete_structure - Deletes the structure pointed by *ROOT.

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_delete_structure(ASN1_TYPE * structure);

ARGUMENTS

ASN1_TYPE * structure
    pointer to the structure that you want to delete.

DESCRIPTION
Deletes the structure *structure. At the end, *structure is set to ASN1_TYPE_EMPTY.

RETURNS

ASN1_SUCCESS
Everything OK.

ASN1_ELEMENT_NOT_FOUND
*structure was ASN1_TYPE_EMPTY.

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.